<div class="container-fluid col-md-6 mx-auto shadow p-3 mb-5 bg-white rounded">
  <div class="row">
    <div class="col-md-12 col-md-offset-3">
      <div id="panel-creation_planning" class="panel">
        <div class="panel-heading">
          <div class="row">
            <div class="col-md-11" id="title">
              <h4>Ajouter un nouveau planning :</h4>
            </div>
          </div>
        </div>
        <div class="panel-body">
          <div class="row">
            <div class="col-md-12">
              <form
                [formGroup]="planningForm"
                (ngSubmit)="planningForm.valid && submitPlanning()"
                novalidate
              >
                <div class="form-group">
                  <input
                    type="text"
                    id="planing_name"
                    class="form-control"
                    tabindex="1"
                    placeholder="Entrez le nom du planning..."
                    formControlName="planningName"
                  />
                </div>
                <div class="form-group">
                  <input
                    type="text"
                    id="planing_monitor"
                    class="form-control"
                    tabindex="1"
                    formControlName="planningMonitor"
                    [readOnly]="true"
                  />
                </div>
                <div class="form-group">
                  <div class="input-group">
                    <input
                      class="form-control"
                      placeholder="yyyy-mm-dd"
                      name="dateStart"
                      [minDate]="beginDate"
                      [maxDate]="endDate"
                      formControlName="planningDateStart"
                      ngbDatepicker
                      [readonly]="true"
                      #pickerStart="ngbDatepicker"
                    />
                    <div class="input-group-append">
                      <button
                        class="btn btn-outline-secondary calendar"
                        (click)="pickerStart.toggle()"
                        type="button"
                        appOcticons
                        octicon="calendar"
                      ></button>
                    </div>
                  </div>
                </div>
                <div class="form-group">
                  <div class="input-group">
                    <input
                      class="form-control"
                      placeholder="yyyy-mm-dd"
                      name="dateEnd"
                      [minDate]="
                        _dateAdapter.fromModel(
                          planningForm.get('planningDateStart').value
                        )
                      "
                      [maxDate]="endDate"
                      [readonly]="true"
                      formControlName="planningDateEnd"
                      ngbDatepicker
                      #pickerEnd="ngbDatepicker"
                    />
                    <div class="input-group-append">
                      <button
                        class="btn btn-outline-secondary calendar"
                        (click)="pickerEnd.toggle()"
                        type="button"
                        appOcticons
                        octicon="calendar"
                      ></button>
                    </div>
                  </div>
                </div>
                <div class="form-group">
                  <div class="row">
                    <div class="col-sm-6 mx-auto col-sm-offset-3">
                      <button
                        tabindex="5"
                        class="form-control btn btn-primary"
                        type="submit"
                        [disabled]="!planningForm.valid"
                      >
                        Créer le planning
                      </button>
                    </div>
                  </div>
                </div>
              </form>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
